"""
Input script - called on any mouse, keyboard or joystick input

Calls input() for current applitude.
"""

applitudes[-1].input()


"""

### Respond to action if not in text entry mode ###

elif devicetype == 'keyboard' and value == 1:


	#if f1 through to f5 are pressed then run the appropriate script
	if input == 'f1':
		if not shift:
			fw.setrebuildscript(fw.compile(fw.load('scripts\\python7.txt')))
			fw.setsworphspeed(500)
			fw.rebuild()
		else:
			fw.setrebuildscript(fw.compile(fw.load('scripts\\python1s.txt')))
			fw.setsworphspeed(500)
			fw.rebuild()
	if input == 'f2':
		fw.setrebuildscript(fw.compile(fw.load('scripts\\python2.txt')))
		fw.setsworphspeed(500)
		fw.rebuild()
	if input == 'f3':fw.runscript('scripts\\python3.txt')
	if input == 'f4':
		if shift:
			fw.setrebuildscript(fw.compile(fw.load('scripts\\python4.txt')))
			fw.setsworphspeed(500)
			fw.rebuild()
		else:
			fw.setrebuildscript(fw.compile(fw.load('scripts\\python4s2.txt')))
			fw.setsworphspeed(500)
			fw.rebuild()
			lineup = (lineup+1)%5

			
	if input == 'f5':
	
		fw.setrebuildscript(fw.compile(fw.load('scripts\\python4s2.txt')))
		fw.setsworphspeed(500)
		fw.rebuild()
		lineup = (lineup-1)%5
		
		
	if input == 'f6':
		#lineup = 0
		slabstate[0] = (slabstate[0]+1)%3
		fw.setsworphspeed(500)
		fw.rebuild()
	if input == 'f7':
		#lineup = 0
		slabstate[1] = (slabstate[1]+1)%3
		fw.setsworphspeed(500)
		fw.rebuild()
	if input == 'f8':
		#lineup = 0
		slabstate[2] = (slabstate[2]+1)%3
		fw.setsworphspeed(500)
		fw.rebuild()
	if input == 'f9':
		#lineup = 0
		slabstate[3] = (slabstate[3]+1)%3
		fw.setsworphspeed(500)
		fw.rebuild()
		

		


			







	




"""
